com.tibco.datagrid.exceptions

## Class DataGridInvalidValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.tibco.datagrid.DataGridException
      - - com.tibco.datagrid.exceptions.DataGridInvalidValueException

- All Implemented Interfaces:
    java.io.Serializable

      public class DataGridInvalidValueException
      extends DataGridException

  DataGrid internal error.

  Common Diagnoses:

  - DataGrid client cannot deserialize a malformed message.
  - DataGrid internal I/O received a malformed packet.
  - DataGrid client received a malformed realm definition.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataGridInvalidValueException()`
    `DataGridInvalidValueException(java.lang.String message)`
    `DataGridInvalidValueException(java.lang.String message, java.lang.Throwable cause)`
    `DataGridInvalidValueException(java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class com.tibco.datagrid.DataGridException

      `getErrorCode, setErrorCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataGridInvalidValueException

          public DataGridInvalidValueException()

    - #### DataGridInvalidValueException

          public DataGridInvalidValueException(java.lang.String message,
                                               java.lang.Throwable cause)

    - #### DataGridInvalidValueException

          public DataGridInvalidValueException(java.lang.String message)

    - #### DataGridInvalidValueException

          public DataGridInvalidValueException(java.lang.Throwable cause)